package convert.relaxng.output.xsd.basic;

import convert.relaxng.edit.SourceLocation;

import java.util.List;

public class ParticleSequence extends ParticleGroup {
  public ParticleSequence(SourceLocation location, Annotation annotation, List<Particle> children) {
    super(location, annotation, children);
  }

  public <T> T accept(ParticleVisitor<T> visitor) {
    return visitor.visitSequence(this);
  }
}
